Summary:        HTML parser class
Name:           perl-HTML-Parser
Version:        3.81
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTML-Parser
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTML-Parser-%{version}.tar.gz
# Building
BuildRequires:  coreutils, findutils, gcc, glibc-common, make, perl-devel, perl-generators, perl-interpreter, perl-ExtUtils-MakeMaker, perl-libs
# Run-time
BuildRequires:  perl-Carp, perl-Exporter, perl-HTML-Tagset, perl-HTTP-Message, perl-IO, perl-URI
# Tests
BuildRequires:  perl-PathTools, perl-FileHandle, perl-SelectSaver, perl-Test, perl-Test-Simple, perl-threads
Requires:       perl-HTML-Tagset, perl-HTTP-Message, perl-IO, perl-URI

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(HTML::Tagset\\)$

%description
The HTML-Parser distribution is is a collection of modules that parse and
extract information from HTML documents.



%prep
%autosetup -n HTML-Parser-%{version}
chmod -c a-x eg/*

# make first line observing linux convention.
for F in t/*.t; do
    if head -1 "$F" | grep -q -e '^#!.*perl\b' ; then
        perl -MConfig -pi -e 's|^#!.*perl\b|$Config{startperl}|' "$F"
    else
        perl -i -MConfig -ple 'print $Config{startperl} if $. == 1' "$F"
    fi
    chmod +x "$F"
done



%build
# default value of OPTIMIZE is -O, and cant read the value of 
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete

%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license LICENSE
%doc Changes README TODO eg/
%{perl_vendorarch}/HTML/
%{perl_vendorarch}/auto/HTML/
%{_mandir}/man3/*.3pm*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.81-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.81-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.81-1
- Upgrade to upstream version 3.81
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.78-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.78-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 09 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.78-1
- Initial building
